View Issue Details

IDProjectCategoryView StatusLast Update
0031191LazarusWidgetsetpublic2017-04-09 16:43
Reporterfedan Assigned ToZeljan Rikalo  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformqt4/qt5OSCalculate Linux x86_64 
Product Version1.7 (SVN) 
Summary0031191: QtUseNativeEventLoop
Descriptionif QtUseNativeEventLoop defined (default) in lcl/interfaces/{qt,qt5}/qtdefines.inc
then cpu utilization one core 100%
TagsNo tags attached.
Fixed in Revision54589
LazTarget-
WidgetsetQT
Attached Files

Activities

Zeljan Rikalo

2017-01-04 22:10

developer   ~0097295

CPU ? What wm do you use ? I don't see such problem here on Fedora 24 64bit.
Also, what glibc, glib2 and kernel is used by that distribution ?

fedan

2017-01-05 00:48

reporter   ~0097297

xfce4. glibc-2.22, glib-2.48.2, kernel-4.4.39, Qt-5.7.1
it's my profile of problem, if run on root user then no problem

In ROSA Desktop Fresh R8 (KDE 4, Qt-5.6.1) no problem.

fedan

2017-01-05 01:26

reporter   ~0097298

Last edited: 2017-01-05 01:44

View 2 revisions

I resolve problem. if on Qt choose GTK style, then CPU of heavy load.
It's only lazarus apps, other apps e.g. qbittorrent, nomacs, smplayer, etc - no load CPU if use GTK style

Zeljan Rikalo

2017-01-05 21:29

developer   ~0097322

Indeed only gtk theme eats on CPU core (14% on my machine, Fedora 24 64bit i7 processor) , not clever what to do in this case. Native Qt event loop use exactly what is documented in Qt for such scenario.

fedan

2017-01-05 22:19

reporter   ~0097324

if set 1 ms on QTimer_setInterval in TQtWidgetSet.AppRun then not loads cpu.

Zeljan Rikalo

2017-01-05 22:23

developer   ~0097325

hm...it's clearly mentioned in Qt docs that timer with timeout=0 should be used for this purpose. I must test what happens with 1ms timeout on mac, win32 and linux using various themes.

Zeljan Rikalo

2017-02-10 15:30

developer   ~0098077

Is it virtual machine or real hardware ?

fedan

2017-02-19 14:11

reporter   ~0098314

Real. xeon E5472

Zeljan Rikalo

2017-04-09 11:47

developer   ~0099520

Please test and close if ok

fedan

2017-04-09 16:43

reporter   ~0099524

Tested on both Qt. Closed.

Issue History

Date Modified Username Field Change
2017-01-04 20:08 fedan New Issue
2017-01-04 22:08 Zeljan Rikalo Assigned To => Zeljan Rikalo
2017-01-04 22:08 Zeljan Rikalo Status new => assigned
2017-01-04 22:10 Zeljan Rikalo LazTarget => -
2017-01-04 22:10 Zeljan Rikalo Note Added: 0097295
2017-01-04 22:10 Zeljan Rikalo Status assigned => feedback
2017-01-05 00:48 fedan Note Added: 0097297
2017-01-05 00:48 fedan Status feedback => assigned
2017-01-05 01:26 fedan Note Added: 0097298
2017-01-05 01:44 fedan Note Edited: 0097298 View Revisions
2017-01-05 21:29 Zeljan Rikalo Note Added: 0097322
2017-01-05 22:19 fedan Note Added: 0097324
2017-01-05 22:23 Zeljan Rikalo Note Added: 0097325
2017-02-10 15:30 Zeljan Rikalo Note Added: 0098077
2017-02-10 15:30 Zeljan Rikalo Status assigned => feedback
2017-02-19 14:11 fedan Note Added: 0098314
2017-02-19 14:11 fedan Status feedback => assigned
2017-04-09 11:47 Zeljan Rikalo Fixed in Revision => 54589
2017-04-09 11:47 Zeljan Rikalo Note Added: 0099520
2017-04-09 11:47 Zeljan Rikalo Status assigned => resolved
2017-04-09 11:47 Zeljan Rikalo Resolution open => fixed
2017-04-09 16:43 fedan Note Added: 0099524
2017-04-09 16:43 fedan Status resolved => closed